Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.idea.model
[Groovy] Class Module

    java.lang.Object
      org.gradle.api.internal.tasks.generator.XmlPersistableConfigurationObject
          org.gradle.plugins.idea.model.Module

    class Module
    extends XmlPersistableConfigurationObject

Represents the customizable elements of an iml (via XML hooks everything of the iml is customizable).

Authors:
  Hans Dockter

Property Summary
`static java.lang.String` | `INHERITED`
`Path` | `contentPath` The dir for the content root of the module.
`java.util.Set` | `dependencies` The dependencies of this module.
`java.util.Set` | `excludeFolders` Folders to be excluded.
`java.lang.String` | `javaVersion`
`Path` | `outputDir` The dir for the production source classes.
`java.util.Set` | `sourceFolders` The foldes for the production code.
`Path` | `testOutputDir` The dir for the compiled test source classes.
`java.util.Set` | `testSourceFolders` The folders for the test code.

Constructor Summary
`Module(XmlTransformer withXmlActions, PathFactory pathFactory)`

Method Summary
`java.lang.Object` | `configure(Path contentPath, java.util.Set sourceFolders, java.util.Set testSourceFolders, java.util.Set excludeFolders, Path outputDir, Path testOutputDir, java.util.Set dependencies, java.lang.String javaVersion)`
`boolean` | `equals(java.lang.Object o)`
`protected java.lang.String` | `getDefaultResourceName()`
`int` | `hashCode()`
`protected boolean` | `isDependencyOrderEntry(java.lang.Object orderEntry)`
`protected void` | `load(groovy.util.Node xml)`
`protected void` | `store(groovy.util.Node xml)`
`java.lang.String` | `toString()`

Property Detail

### INHERITED

    static final java.lang.String INHERITED

### contentPath

    Path contentPath

  The dir for the content root of the module. Defaults to the projectDir for the project. If null, the directory that contains the output file will be used.

### dependencies

    java.util.Set dependencies

  The dependencies of this module. Must not be null. Has instances of type Dependency .

### excludeFolders

    java.util.Set excludeFolders

  Folders to be excluded. Must not be null.

### javaVersion

    java.lang.String javaVersion

### outputDir

    Path outputDir

  The dir for the production source classes. If null this output dir element is not added.

### sourceFolders

    java.util.Set sourceFolders

  The foldes for the production code. Must not be null.

### testOutputDir

    Path testOutputDir

  The dir for the compiled test source classes. If null this output element is not added.

### testSourceFolders

    java.util.Set testSourceFolders

  The folders for the test code. Must not be null.

Constructor Detail

### Module

    Module(XmlTransformer withXmlActions, PathFactory pathFactory)

Method Detail

### configure

    java.lang.Object configure(Path contentPath, java.util.Set sourceFolders, java.util.Set testSourceFolders, java.util.Set excludeFolders, Path outputDir, Path testOutputDir, java.util.Set dependencies, java.lang.String javaVersion)

### equals

    boolean equals(java.lang.Object o)

### getDefaultResourceName

    @Override
    protected java.lang.String getDefaultResourceName()

### hashCode

    int hashCode()

### isDependencyOrderEntry

    protected boolean isDependencyOrderEntry(java.lang.Object orderEntry)

### load

    @Override
    protected void load(groovy.util.Node xml)

### store

    @Override
    protected void store(groovy.util.Node xml)

### toString

    java.lang.String toString()

Groovy Documentation